# TdApi.BackgroundTypePattern (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: BackgroundTypePattern

Package it.tdlight.jni

# Class TdApi.BackgroundTypePattern

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BackgroundType
it.tdlight.jni.TdApi.BackgroundTypePattern

Enclosing class:
  TdApi

    public static class TdApi.BackgroundTypePattern
    extends TdApi.BackgroundType

A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.BackgroundFill` | `fill` | Description of the background fill.
`int` | `intensity` | Intensity of the pattern when it is shown above the filled background; 0-100.
`boolean` | `isInverted` | True, if the background fill must be applied only to the pattern itself.
`boolean` | `isMoving` | True, if the background needs to be slightly moved when device is tilted.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`BackgroundTypePattern()` | A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.
`BackgroundTypePattern​(TdApi.BackgroundFill fill, int intensity, boolean isInverted, boolean isMoving)` | A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.
`BackgroundTypePattern​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fill

public TdApi.BackgroundFill fill
Description of the background fill.

### intensity

public int intensity
Intensity of the pattern when it is shown above the filled background; 0-100.

### isInverted

public boolean isInverted
True, if the background fill must be applied only to the pattern itself. All other pixels are black in this case. For dark themes only.

### isMoving

public boolean isMoving
True, if the background needs to be slightly moved when device is tilted.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### BackgroundTypePattern

public BackgroundTypePattern()
A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.

### BackgroundTypePattern

public BackgroundTypePattern​(TdApi.BackgroundFill fill, int intensity, boolean isInverted, boolean isMoving)
A PNG or TGV (gzipped subset of SVG with MIME type "application/x-tgwallpattern") pattern to be combined with the background fill chosen by the user.

Parameters:
  `fill` - BackgroundFill Description of the background fill.
  `intensity` - int Intensity of the pattern when it is shown above the filled background; 0-100.
  `isInverted` - boolean True, if the background fill must be applied only to the pattern itself. All other pixels are black in this case. For dark themes only.
  `isMoving` - boolean True, if the background needs to be slightly moved when device is tilted.

### BackgroundTypePattern

public BackgroundTypePattern​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`